Bug 222280 - Can't mount gfs volume when using IBMsdd
Can't mount gfs volume when using IBMsdd
Status: CLOSED WONTFIX
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: gfs (Show other bugs)
4
i686 Linux
medium Severity urgent
: ---
: ---
Assigned To: Ryan O'Hara
GFS Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-11 07:52 EST by Justin Albstmeijer
Modified: 2010-01-11 22:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-25 13:21:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Albstmeijer 2007-01-11 07:52:30 EST
Description of problem:

When mounting a gfs volume from an IBM shark without IBMsdd multipath software,
it works fine. (mount -t gfs /dev/sdb /data)
Doing the same using IBMsdd does not work.
The mount command just hangs and cannot be killed. (mount -t gfs /dev/vpatha /data)
No messages in messages/dmeg.

Testing the same with an ext3 filesystem works fine.

Version-Release number of selected component (if applicable):

fence-1.32.25-1
IBMsdd-1.6.2.0-1.1
GFS-kernel-smp-2.6.9-60.3
GFS-6.1.6-1
dlm-1.0.1-1
cman-kernel-smp-2.6.9-45.8
cman-1.0.11-0
GFS-kernel-smp-2.6.9-58.3
dlm-kernel-smp-2.6.9-44.3

How reproducible:

100%

Steps to Reproduce:
1. mount -t gfs /dev/sdb /data
or
1. mount -o lockproto=lock_nolock -t gfs /dev/sdb /data

Actual results:

Mount command hangs.. cannot be killed

Expected results:

Mounted filesystem

Additional info:

Using fiber Qlogic 2200 and 2340 cards.
Comment 1 Justin Albstmeijer 2007-01-11 08:52:13 EST
Small correction to my report. (mounting sdb works fine)

Steps to Reproduce:
1. mount -t gfs /dev/vpatha /data
or
1. mount -o lockproto=lock_nolock -t gfs /dev/vpatha /data
Comment 2 Ryan O'Hara 2007-01-29 16:30:16 EST
Have you read the README for the IBMsdd? I was looking at the documentation (for
version 1.6.1.0-4.2) online and I saw a few "knows issues". The one that caught
my attention was the issue regarding a mount hang when attempting an NFS mount
with a vpath device that has a minor number > 255. This might be something
similar for GFS, so just out of curiosity, what is the minor number of the vpath
device you are attempting to mount?



Comment 3 Justin Albstmeijer 2007-01-30 04:36:23 EST
ls -al /dev/vpathb
brw-------  1 root root 252, 64 Jan 30 10:33 /dev/vpathb

Note You need to log in before you can comment on or make changes to this bug.